import 'dart:math';

// list s menami závodníkov
final List<String> _meno = [
  'Matej KAZAR',
  'Martin OTCENAS',
  'Tomas HASILLA',
  'Michal SIMA',
  'Michal KUBALIAK',
  'Jan DOUBEK',
  'Leos SVOBODA',
  'Miroslav STOLBA',
  'Tomas REGNER',
  'Petr KOLAR',
  'Vladimir PACNER',
  'Roman VECERA',
  'Marek PAPEZ',
  'Pavel WOHANKA',
  'Jan ZATKA'
];
// list s možnou kondíciou
final List<double> _kondicia = [
  1.0,
  1.05,
  1.1,
  1.15,
  1.2,
  1.25
];
// list s možnou presnosťou v strelbe
final List<double> _presnost = [
  0.6,
  0.8,
  1.0,
  1.2
];
// trieda vygeneruje závodníkov do preteku a pomocne vygeneruje hod kockou
class Generator {
  int _hod;
  var _rng = new Random(); // rng.nextInt(pocetstien)
  // vráti generované meno závodníka
  String generuj_meno() => _meno[new Random().nextInt(_meno.length)];
  // vráti generovanú kondíciu závodníka
  double generuj_kondicia() => _kondicia[new Random().nextInt(_kondicia.length)];
  // vráti generovanú presnosť závodníka
  double generuj_presnost() => _presnost[new Random().nextInt(_presnost.length)];
  // pomocná funkcia - hod kockou
  int generuj_hod_kockou() => _rng.nextInt(6) + 1;
}